
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>ASP.NET服务器控件封装-【事件】-1.1【事件回发.异步回调】 / iVAN</title>

    <meta name="description" content="ASP.NET服务器控件封装-【事件】-1.1【事件回发.异步回调】 最近,正在学习ASP.NET服务器控件封装相关的知识,把自己学到的和大家分 享下. 本次内容的概要如下: 1.事件以及为什么需要事件驱动机制: 2.回发的原理: 3.异步回调的原理: 4.事件回发的实现: 5.异步回调的实现. 了解了本次内容的概要,接下来就分节次说明了. 1.事件以及为什么需要事件驱动机制 在C#语言详解一书中对事件的定义是&quot;事件是一种使对象或类能够提供通知的 成员&quot;,在这里换句话 说就是页面中已注册事件的对象能够对用户的操作进行捕获并处理.那么为什么 需要 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">ASP.NET服务器控件封装-【事件】-1.1【事件回发.异步回调】</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>最近，正在学习ASP.NET服务器控件封装相关的知识，把自己学到的和大家分 享下。</p>
<p>本次内容的概要如下：</p>
<p>1.事件以及为什么需要事件驱动机制；</p>
<p>2.回发的原理；</p>
<p>3.异步回调的原理；</p>
<p>4.事件回发的实现；</p>
<p>5.异步回调的实现。</p>
<p>了解了本次内容的概要，接下来就分节次说明了。</p>
<p>1.事件以及为什么需要事件驱动机制</p>
<p>在C#语言详解一书中对事件的定义是“事件是一种使对象或类能够提供通知的 成员”，在这里换句话 说就是页面中已注册事件的对象能够对用户的操作进行捕获并处理。那么为什么 需要引用事件机制呢？</p>
<p>大家都知道，如果在类A的实例对象中创建了一个类B的实例对象，那么在类A 的实例对象中就可以通 过该类B的实例对象调用类B公开的任何方法和属性等。就像用户Page对象中包含 了创建了一个TextBox对 象，Page对象就可以通过TextBox对象去调用Text属性。但是如果需要在上述的 TextBox对象中调用Page 对象中的某些属性或方法又该怎样处理呢？显然包含调用就行不通了，事件机制 正好解决该问题。</p>
<p>现就TextBox的TextChanged事件来描述下。</p>
<p>首先需要在TextBox中声明TextChanged委托，并通过页面注册将该委托和页面 类处理事件函数关联起 来</p>
<p>&lt;asp:TextBox　ID="TextBox1"　runat="server"　 OnTextChanged="TextBox1_TextChanged"&gt;&lt;/asp:TextBox&gt;</p>
<p>（上述代码就是将TextBox1的TextChanged事件注册到页面类中）。</p>
<p>然后在TextBox类体内调用TextChanged委托关联的事件函数就可以了。这样， 当页面类对象中 TextBox控件的Text发生改变时TextBox首先执行完自己内部逻辑处理后，就会调 用页面类中 OnTextChanged事件函数TextBox1_TextChanged()，而TextBox1_TextChanged()函 数是页面类中的一个方 法，所以TextBox就可以在该函数内调用页面类中的其他方法和属性了。（当然也 是可以调用TextBox1自 己的）。</p>
<p>2.回发的原理</p>
<p>Web开发的人员都知道，客户端回发到服务端的事件只有一个，那么在服务端 怎样的区分用户执行了 怎样的操作呢？这里首先从ASP.NET的页面请求说起了。</p>
<p>在ASP.NET中处理页面时，前后两个页面之间是无状态连接的，也就是说客户 端的前后两次请求是相 互独立的，服务端不会保存前一次请求的页面状态。如此就引入了视图状态机制 （我会在以后的文章中 和大家分享下ASP.NET开发的视图状态和控件状态机制的研究乐趣）来处理前后两 次请求的逻辑处理，其 原理就是在前一次请求发生后服务端将页面的逻辑信息保存在一个隐藏的字段中 回送到客户端，当后一 次请求发生时服务端首先取出该隐藏字段中的值并恢复到各个视图控件中，等逻 辑处理完后再将新的数 据保存到该隐藏字段会送到客户端，从而延续了两次页面之间的状态信息。</p>
<p>本文中要说明的回发就是在视图状态机制基础上完成的，也就是通过比较发送 到服务端的控件当前值 和保存在隐藏字段中的旧值，从而决定是否触发哪些事件。当然，自定义的控件 类必须通过继承 IPostBackDataHander接口来完成事件的回发功能。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-18 19:27:06</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e5%a4%84%e7%90%86/" title="处理">处理</a>, <a href="https://www.iamivan.net/tag/%e9%a1%b5%e9%9d%a2/" title="页面">页面</a>, <a href="https://www.iamivan.net/tag/%e5%af%b9%e8%b1%a1/" title="对象">对象</a>, <a href="https://www.iamivan.net/tag/%e4%ba%8b%e4%bb%b6/" title="事件">事件</a>, <a href="https://www.iamivan.net/tag/%e6%8e%a7%e4%bb%b6/" title="控件">控件</a>, <a href="https://www.iamivan.net/tag/textbox/" title="textbox">textbox</a>, <a href="https://www.iamivan.net/tag/textchanged%e4%ba%8b%e4%bb%b6/" title="textchanged事件">textchanged事件</a>, <a href="https://www.iamivan.net/tag/textchange/" title="textchange">textchange</a>, <a href="https://www.iamivan.net/tag/%e9%a1%b5%e9%9d%a2%e5%9b%9e%e5%8f%91/" title="页面回发">页面回发</a>, <a href="https://www.iamivan.net/tag/textchanged/" title="TextChanged">TextChanged</a>, <a href="https://www.iamivan.net/tag/%e4%ba%8b%e4%bb%b6%e6%b3%a8%e5%86%8c%e6%9c%ba%e5%88%b6/" title="事件注册机制">事件注册机制</a>, <a href="https://www.iamivan.net/tag/%e5%b0%81%e8%a3%85%e6%9c%8d%e5%8a%a1%e5%99%a8%e6%8e%a7%e4%bb%b6/" title="封装服务器控件">封装服务器控件</a>, <a href="https://www.iamivan.net/tag/%e4%ba%8b%e4%bb%b6%e5%a7%94%e6%89%98%e8%af%a6%e8%a7%a3/" title="事件委托详解">事件委托详解</a>, <a href="https://www.iamivan.net/tag/%e8%af%b7%e6%b1%82%e5%af%b9%e8%b1%a1%e7%9a%84%e5%b0%81%e8%a3%85/" title="请求对象的封装">请求对象的封装</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>ASP.NET服务器控件封装-【事件】-1.1【事件回发.异步回调】的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/dzZ0KoM.html" rel="bookmark">asp&period;net Page&period;EnableEventValidation 属性验证服务器控件的回发和回调事件出现的错误</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本以为页面很简单不会出现问题,但运行时出现了如下错误: Page.EnableEventValidation 属性 参看了一下MSDN,获取或设置一个值,该值指示页面验证回发事件,还是验证回调事件..NET Framework出于安全考虑需要为服务器端控件的回发和回调事件进行注册,此事件验证机制可消除未经授权的回发请求和回调带来的风险.通过此模型,控件可在呈现期间注册其事件,然后在回发或回调期间验证这些事件.默认情况下,ASP.NET 中的所有事件驱动控件均使用此功能. 第一反应,既然启用了事件			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOw5vvz.html" rel="bookmark">ASP&period;NET服务器控件封装-【事件】-1&period;2【数据回发】</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				上节概述: 上节中主要总结了事件处理的机制.控件事件回发.服务端回发事件的捕获及 处理和异步回调等几个方面. 接下来本文将为大家描述&quot;数据回发&quot;的相关细节. 1.IPostBackDataHandler接口 我们封装的控件如果要实现数据回发功能的话,就必须继承 IPostBackDataHandler接口并实现接口方法.该接口方法只有两个: 代码 1 #region IPostBackDataHandler 成员 2 public bool LoadPostData(string po			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQrOdOM.html" rel="bookmark">回发或回调参数无效。在配置中使用 pages enableEventValidation&equals;true 或在页面中使用 &percnt;&commat; Page EnableEventValidation&equals;true &percnt; 启用了事件验证</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				WebForm中回发或回调参数无效问题的解决 解决   .NET中回发或回调参数无效问题的解 该错误的详细提示信息为: 回发或回调参数无效.在配置中使用 &lt;pages enableEventValidation=&quot;true&quot;/&gt; 或在页面中使用 &lt;%@ Page EnableEventValidation=&quot;true&quot; %&gt; 启用了事件验证.出于安全目的,此功能验证回发或回调事件的参数是否来源于最初呈现这些事件的服务器控件. 目前为止遇到的出			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2ynPQz.html" rel="bookmark">ASP&period;NET服务器控件开发（3）--事件和回传数据的处理</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前两篇介绍了服务器控件的基本显示,属性的设定,继承Webcontrol开发控件等内容,这篇介绍下定制服务器控件的事件的处理和回传数据的处理. 当ASP.NET页面处理回传到服务器端的表单时,两种信息会传递给页面中的控件: 回传事件,如Button一类控件触发的回传,会引发服务器端事件: 回传数据:是Web表单中包含的数据,该数据是在Web表单提交到服务器端时传递给如TextBox一类的控件. 处理回传数据 PostBack(回传):ASP.NET控件提交表单到服务器端,将信息从浏览器传递到服务器			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zGjKrOp.html" rel="bookmark">ASP&period;NET框架数据回发与事件回发</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				源从何起 经常在网上的论坛看到有人问Page类的方法RegisterRequiresPostBack有什么用,它是做什么的呢? 简短的官方解释 MSDN对它的解释是将控件注册为要求在页面回发至服务器时进行回发处理的控件,说真的我知道这段话 想描述些什么,但是你知道怎么用它,在哪里用吗? 寻找回发真相 首先ASP.NET框架规定,凡是要进行数据回发的控件都要实现IPostBackDataHandler 接口,它有两个方 法LoadPostData.RaisePostDataChangedEvent			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/aM1OkKz.html" rel="bookmark">ASP&period;NET服务器控件编程之卷首语</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				asp.net|编程|服务器|控件 有朋友给我说:Asp.net之所以方便和强大,关键是它有一组强大的Asp.net服务器控件,在Asp.net中我们经常会遇到Html标注,Html控件.Web控件和Asp.net服务器控件等等,你能区分出它们之间的关系吗?那我们首先来区分下Asp.net开发中经常用到的几个概念,Html标注.Html控件.Web控件和Asp.net服务器控件. Html标注:就是我们传统所说的Html 超文本标记语言,这些Html标注在以往的静态网页或网页里即可满足我们的需求			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZmJrwp.html" rel="bookmark">运行page页面时的事件执行顺序及页面的回发与否深度了解&lowbar;实用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				复制代码 代码如下: using System; using System.Data; using System.Configuration; using System.Web; using System.Web.Security; using System.Web.UI; using System.Web.UI.WebControls; using System.Web.UI.WebControls.WebParts; using System.Web.UI.HtmlControls; pub			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bj8Wv5p.html" rel="bookmark">ASP&period;NET服务器控件开发（1）封装html&lowbar;实用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在我们的项目开发中,由于ASP.NET的服务器控件功能有限,所以我们经常会自己定义特定的服务器控件,来满足开发中特定的业务要求.可见知道如何开发ASP.NET服务器控件是非常有必要的. 其实简单的实现ASP.NET服务器控件不是很难,以前园子中也有大牛介绍过相应的内容,这里站在巨人的肩膀上也来分享下开发ASP.NET服务器控件的方法和自己的一些体会.写给新手,高手绕过. 学习ASP.NET的服务器控件开发,个人认为最好的方式就是自己去实践,当然理论知识也是很重要的,但是如果我们只是看理论的知识,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/0boxOVM.html" rel="bookmark">Asp&period;net中服务端控件事件是如何触发的</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				asp.net|控件     Asp.net 中在客户端触发服务端事件分为两种情况: 一.WebControls中的Button 和HtmlControls中的Type为submit的HtmlInputButton 这两种按钮最终到客户端的表现形式为: &lt;input name=&quot;Submit1&quot; id=&quot;Submit1&quot; type=&quot;submit&quot; value=&quot;Submit&quot;&gt;,这是Form表单的提交按钮,点击以			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Xpm7elb.html" rel="bookmark" class="title">那位大神能帮我看看这是什么错误，实在是弄不懂啊</a>
					<div>
						问题描述 那位大神能帮我看看这是什么错误,实在是弄不懂啊 解决方案 它说那个ndk-build.cmd在PATH里没有找到你查看查看啊					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9Mxv9mz.html" rel="bookmark" class="title">免费空间广告万能消除代码</a>
					<div>
						广告 免费空间广告消除代码(万能||各空间通用) (只限 IE5.5+) /*///////////////////////////////////////////////////////////// ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xpn0Yjb.html" rel="bookmark" class="title">HTML文档中小meta标签的大作用</a>
					<div>
						--  HTML文档中小meta标签的大作用meta是用来在HTML文档中模拟HTTP协议的响应头报文.meta 标签用于网页的&lt;head&gt;与&lt;/head&gt;中,meta 标签的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Ar1Dp.html" rel="bookmark" class="title">Spring事务处理及其AOP框架的内幕</a>
					<div>
						Spring框架中成功吸引人的一点就是容器事务的管理,提供了一个轻量级的容器事务处理,针对的对象是普通的java类,使用Spring事务管理的话,你可以按照自己的业务把一些相关的方法纳入其事务管理里面 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrKNljp.html" rel="bookmark" class="title">Windows Vista&sol;7系统如何控制使用时长</a>
					<div>
						网游就不让玩 要想不玩网游,很简单.点击&quot;开始/运行&quot;,输入&quot;gpedit.msc&quot; 并确定,打开&quot;组策略&quot;窗口,在左边选&quot;管理模 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNEayob.html" rel="bookmark" class="title">Excel 日期格式的设定</a>
					<div>
						建立自己定义的日期格式.可以在输入前设定自己所需要的数据格式,例如习惯于&quot;年.月.日&quot;的日期格式,则可对要输入的单元格进行格式的设定,设定的步骤可按下述方法进行:     (1)  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqLwrOb.html" rel="bookmark" class="title">360浏览器打不开怎么办</a>
					<div>
						  一直都是习惯性使用360浏览器,然而在系统重新完下载了360浏览器后却无法打开了.不知是何因原,打开之后无法显示网页,小编分析出现这样的问题可能是因为程序损坏,或是网络连接状态不正常,还有一种可能 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1ERAjM.html" rel="bookmark" class="title">PHP 如何获取二维数组中某个key的集合</a>
					<div>
						 本文为代码分享,也是在工作中看到一些&quot;大牛&quot;的代码,做做分享.  具体是这样的,如下一个二维数组,是从库中读取出来的.  代码清单:  .代码如下: $user = array( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWXXRjp.html" rel="bookmark" class="title">桌面上的图标不见了怎么办</a>
					<div>
						今天我们就看看如何解决桌面图标丢失的问题. 要还原桌面图标,首先我们要分清桌面图标丢失的原因. 桌面图标丢失原因1.桌面不小心设定造成的.解决的方法是,右键桌面,选择&quot;排列图标&quot;- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z722aKp.html" rel="bookmark" class="title">Photoshop详细解析智能对象的使用</a>
					<div>
						Photoshop详细解析智能对象的使用 教程 Amy Martino 向你展示怎样通过智能对象来增加纹理. &lt;下载-资源文件&gt; 在这个教程中,我将设计一个时尚的矢量插画,先在AI中绘制出 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z42eRqM.html" rel="bookmark" class="title">网页设计新招式 引爆网页中的视频应用</a>
					<div>
						  在网页设计中使用更多的视频,被认为是2014年的一大设计趋势.当然有一些人会坚持大量使用文本/内容,他们认为内容是网站的根基,其他人则认为需要打破传统,因为访客的好奇心是不会满足于单一的内容铺陈的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxWgXOb.html" rel="bookmark" class="title">jQuery实现点击该行即可删除HTML表格行</a>
					<div>
						 jQuery的已成为所有时刻的最常用和最喜爱的JavaScript框架之一.它不仅不会减少在JavaScript编码简单的技术开销,而且也使您的代码的跨浏览器兼容.我已经写了许多关于jQuery教程 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr3YZyp.html" rel="bookmark" class="title">启动加载项减少方法</a>
					<div>
						  许多应用程序在安装时都会自作主张添加至系统启动组,每次启动系统都会自动运行,这不仅延长了启动时间,而且启动完成后系统资源已经被消耗掉! 系统配置实用程序&quot;,在&quot;启动&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr3JaVp.html" rel="bookmark" class="title">Spring中的AOP（五）&mdash;&mdash;在Advice方法中获取目标方法的参数</a>
					<div>
						获取目标方法的信息     访问目标方法最简单的做法是定义增强处理方法时,将第一个参数定义为JoinPoint类型,当该增强处理方法被调用时,该JoinPoint参数就代表了织入增强处理的连接点.Jo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MA7l33z.html" rel="bookmark" class="title">用C&num;扫面周围空间无线网络的SSID、BSSID和RSSI</a>
					<div>
						问题描述 这段代码,目的是调用WIFI无线网卡,扫描一个SSID为&quot;1234567890&quot;的WIFI热点,信号强度的变化情况,每秒钟更新一次.我明明移动了热点的位置,但是,每次扫描 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1lOQjb.html" rel="bookmark" class="title">《并行计算的编程模型》一2&period;6&period;3　AM Ping-Pong示例</a>
					<div>
						2.6.3 AM Ping-Pong示例 虽然&quot;Hello,World!&quot;示例已经演示了每个GASNet应用程序开始结束所需的基础内容,但是除了屏障中隐含的内容外,该示例没有执行任 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5NL7Wz.html" rel="bookmark" class="title">【译】AS3利用CPU缓存</a>
					<div>
						利用CPU缓存   计算机有随机存取存储器RAM(译注:即我们常说的内存),但有更快形式的存储器.如果你希望你的应用程序的快速运行,你需要知道这些其他的存储器.今天的文章中讨论了它们,并给出了两个AS ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrW8QOp.html" rel="bookmark" class="title">重装win7后，所有USB接口无法使用（鼠标、键盘、U盘）</a>
					<div>
						今天给一朋友重装系统,华硕FX50J,修改BIOS重装了win7,结果所有USB接口均无法使用,鼠标键盘U盘都成了摆设,再次重装还是如此,恢复BIOS依旧没用. 打了两次华硕技术客服,第二个客服总算给 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYjV69p.html" rel="bookmark" class="title">修该hosts访问谷歌</a>
					<div>
						下面我会介绍几种轻轻松松访问Google的方法 首先 你需要个可靠的hosts  比如 https://git.oschina.net/kawaiiushio/misc/raw/master/host ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2PDrrp.html" rel="bookmark" class="title">nested exception is org&period;springframework&period;beans&period;factory&period;NoSuchBeanDefinitionException</a>
					<div>
						You should autowire interface AbstractManager instead of class MailManager. If you have different im ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJkvd7b.html" rel="bookmark" class="title">初学WebSevice，为什么没有加&commat;WebMethod的方法还能在服务中显示</a>
					<div>
						问题描述 为什么第一个图上显示只有两个方法,当打开地址后其他没有加@WebMethod也能显示出来,求告知 解决方案 解决方案二:用的是tomcat发布的,清理缓存也没有用解决方案三:发错地方了吧,这 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmKKg3b.html" rel="bookmark" class="title">c&num;实现麦克风音量大小的监控</a>
					<div>
						问题描述 c#实现麦克风音量大小的监控 最差要能检测是否有声音输入?求大牛 现在已经可以正常录音 主要是想来做语音连续识别,现在必须手动点开始录音 停止录音来完成一次识别过程 解决方案 http:// ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeoxwwM.html" rel="bookmark" class="title">lucene 范围查询及其原理</a>
					<div>
						适用于lucene 6.0. Int类型的有IntPoint,Double类型的有相应的DoublePoint,以此类推. 1.相关类 org.apache.lucene.document.IntPo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mx0RvyM.html" rel="bookmark" class="title">求助，谢谢</a>
					<div>
						问题描述 如何搜索到已经打开的网页??如何实现向已打开网页中的文本框自动填写内容??网页中有个图片加载项,如何自动点选&quot;浏览&quot;,然后自动选择图片并确定加载.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkAdJOb.html" rel="bookmark" class="title">携程抢占先机，建设国际邮轮母港</a>
					<div>
						三个月前,在线旅游领军企业携程对外宣布,与皇家加勒比邮轮公司签约购入精致世纪号邮轮,与其他投资者共同成立天海邮轮公司,正式进军邮轮业.一时间,外界对携程的这笔重资产投资议论纷纷.   12月23日,天 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5QDmDp.html" rel="bookmark" class="title">应用如何接收消息</a>
					<div>
						问题描述 本帖最后由 weixinhost 于 2015-3-5 13:19 编辑 _在微信中,微信用户在公众号内的每一条都会被包装成一个XML,发送给侯斯特开放平台.侯斯特开放平台接收到该消息后,对 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK07QOM.html" rel="bookmark" class="title">最新Oracle系统对高端服务器市场性价比重新进行定义</a>
					<div>
						甲骨文全球大会,2013年9月23日--最新的Oracle系统对高端服务器市场的性价比重新进行了定义,为客户提供了入门级的性价比,但同时保持了极致性能和最高水平的可用性.拥有32TB内存和高达384个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlAWoNp.html" rel="bookmark" class="title">Symantec Backup Exec 2012 Agent For Linux安装</a>
					<div>
						Backup Exec 2012 介绍     Backup Exec 2012 是一种为虚拟和物理环境提供保护的集成产品,能够简化备份和灾难恢复,并提供了无可匹敌的恢复功能.借助于强大的 Syman ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlAOxVp.html" rel="bookmark" class="title">php下FCKeditor2&period;6&period;5网页编辑器的使用方法&lowbar;网页编辑器</a>
					<div>
						1.首先去官网下载FCKeditor2.6.5 多国语言版.http://ckeditor.com/download,注意:第一个为最新3.0.1版,第二个才是FCKeditor 2.6.5 2.删除 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEJmLqM.html" rel="bookmark" class="title">天云趋势联合中云学院举办Hadoop培训 火热报名中</a>
					<div>
						天云趋势源于趋势科技,拥有趋势科技100%前沿技术给养.Hadoop生态系统已经成熟应用在趋势科技的云端杀毒.垃圾邮件过滤.机器学习等生产系统多年.在此我们积累了宝贵的应用级经验,并且在多个开源系统中 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
